(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     80033,       1811]
NotebookOptionsPosition[     79965,       1792]
NotebookOutlinePosition[     80446,       1811]
CellTagsIndexPosition[     80403,       1808]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"mvp", "[", 
     RowBox[{"s1_", ",", "s2_", ",", "ro12_"}], "]"}], ":=", 
    FractionBox[
     RowBox[{"s2", 
      RowBox[{"(", 
       RowBox[{"s2", "-", 
        RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"s1", "^", "2"}], "+", 
      RowBox[{"s2", "^", "2"}], "-", 
      RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"s1", ",", 
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "r1"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "s1"}], "]"}], ",", "r1"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s2", ",", 
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "r2"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "s2"}], "]"}], ",", "r2"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"u", "^", "2"}], 
               RowBox[{"s1", "^", "2"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "u"}], ")"}], "s2"}], ")"}], "^", "2"}], 
              "+", 
              RowBox[{"2", " ", "u", 
               RowBox[{"(", 
                RowBox[{"1", "-", "u"}], ")"}], " ", "s1", " ", "s2", " ", 
               "ro12"}]}], ")"}], "^", ".5"}], ",", 
           RowBox[{
            RowBox[{"r1", " ", "u"}], "+", 
            RowBox[{"r2", 
             RowBox[{"(", 
              RowBox[{"1", "-", "u"}], ")"}]}]}]}], "}"}]}], "}"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"u", ",", "xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", ".6"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".2"}], ",", ".4"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "P"], ",", 
          RowBox[{"E", "[", 
           SubscriptBox["r", "P"], "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "u"}], "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"And", "[", 
             RowBox[{
              RowBox[{"u", ">", "0"}], ",", 
              RowBox[{"u", "<", "1"}]}], "]"}], ",", "Black", ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"u", ">", "1"}], ",", "Green", ",", "Red"}], "]"}]}], 
           "]"}]}], "]"}]}], ",", 
       RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "Dashed", ",", "Dashed", ",", "Dashed", ",", "Dashed", ",", 
          "Thick"}], "}"}]}]}], "]"}], "\[IndentingNewLine]", ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "ro12", ",", "0", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "0", ",", "\"\< max short asset 1\>\""}], "}"}], 
       ",", "0", ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmax", ",", "1", ",", "\"\<max short asset 2\>\""}], "}"}], 
       ",", "1", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r1", ",", ".2", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s1", ",", ".4", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r2", ",", ".08", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s2", ",", ".2", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
     "\[IndentingNewLine]", "\"\<composition of the MVP=\>\"", ",", 
     RowBox[{"Dynamic", "[", " ", 
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         RowBox[{"s2", 
          RowBox[{"(", 
           RowBox[{"s2", "-", 
            RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
         RowBox[{
          RowBox[{"s1", "^", "2"}], "+", 
          RowBox[{"s2", "^", "2"}], "-", 
          RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]], ",", 
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{"s2", 
           RowBox[{"(", 
            RowBox[{"s2", "-", 
             RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
          RowBox[{
           RowBox[{"s1", "^", "2"}], "+", 
           RowBox[{"s2", "^", "2"}], "-", 
           RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}]}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
     "\[IndentingNewLine]", 
     "\"\<{E[\!\(\*SubscriptBox[\(r\), \(MVP\)]\)],\!\(\*SubscriptBox[\(\
\[Sigma]\), \(MVP\)]\)}=\>\"", ",", 
     RowBox[{"Dynamic", "[", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"r1", " ", 
          FractionBox[
           RowBox[{"s2", 
            RowBox[{"(", 
             RowBox[{"s2", "-", 
              RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
           RowBox[{
            RowBox[{"s1", "^", "2"}], "+", 
            RowBox[{"s2", "^", "2"}], "-", 
            RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], "+", 
         RowBox[{"r2", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"s2", 
              RowBox[{"(", 
               RowBox[{"s2", "-", 
                RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
             RowBox[{
              RowBox[{"s1", "^", "2"}], "+", 
              RowBox[{"s2", "^", "2"}], "-", 
              RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], 
           ")"}]}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              FractionBox[
               RowBox[{"s2", 
                RowBox[{"(", 
                 RowBox[{"s2", "-", 
                  RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
               RowBox[{
                RowBox[{"s1", "^", "2"}], "+", 
                RowBox[{"s2", "^", "2"}], "-", 
                RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]], ")"}], 
             "^", "2"}], 
            RowBox[{"s1", "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"s2", 
                 RowBox[{"(", 
                  RowBox[{"s2", "-", 
                   RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
                RowBox[{
                 RowBox[{"s1", "^", "2"}], "+", 
                 RowBox[{"s2", "^", "2"}], "-", 
                 RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], ")"}],
              "^", "2"}], 
            RowBox[{"s2", "^", "2"}]}], "+", 
           RowBox[{"2", 
            FractionBox[
             RowBox[{"s2", 
              RowBox[{"(", 
               RowBox[{"s2", "-", 
                RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
             RowBox[{
              RowBox[{"s1", "^", "2"}], "+", 
              RowBox[{"s2", "^", "2"}], "-", 
              RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{"s2", 
                RowBox[{"(", 
                 RowBox[{"s2", "-", 
                  RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
               RowBox[{
                RowBox[{"s1", "^", "2"}], "+", 
                RowBox[{"s2", "^", "2"}], "-", 
                RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], ")"}], 
            "ro12", " ", "s1", " ", "s2"}]}], ")"}], "^", ".5"}]}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.525929291921837*^9, 3.525929317133053*^9}, 
   3.525929418672372*^9, {3.5259295950872717`*^9, 3.525929649237753*^9}, {
   3.525929683143214*^9, 3.525929758300757*^9}, {3.5259298135564833`*^9, 
   3.525929820704199*^9}, {3.525929857003924*^9, 3.525929862831273*^9}, {
   3.525929977532772*^9, 3.525930142897811*^9}, {3.52593017558739*^9, 
   3.525930192310768*^9}, {3.525930223861822*^9, 3.525930293076356*^9}, {
   3.525930325200935*^9, 3.525930375387981*^9}, {3.5259304320017567`*^9, 
   3.525930623378358*^9}, {3.525930714695092*^9, 3.525930808117178*^9}, {
   3.5259308457029467`*^9, 3.525930975059854*^9}, {3.5259310072494717`*^9, 
   3.5259311602469397`*^9}, {3.5259312328705053`*^9, 3.52593123914357*^9}, {
   3.525931279960133*^9, 3.5259313137629538`*^9}, {3.52593134444697*^9, 
   3.525931384686068*^9}, {3.525931451278886*^9, 3.52593145213551*^9}, {
   3.525931503916388*^9, 3.525931504476759*^9}, {3.525931571154153*^9, 
   3.525931620266602*^9}, {3.525931655901725*^9, 3.525931741005178*^9}, {
   3.525931847978956*^9, 3.5259318813692923`*^9}, 3.52593205039377*^9, 
   3.525932165495916*^9, {3.525932319223443*^9, 3.52593236912523*^9}, {
   3.525932460124772*^9, 3.525932502291003*^9}, {3.52593284552693*^9, 
   3.525932900616602*^9}, {3.525932937454352*^9, 3.525932987230446*^9}, {
   3.525933019770248*^9, 3.525933061281053*^9}, {3.525933130941235*^9, 
   3.5259331970050898`*^9}, {3.52593465220653*^9, 3.5259348244748783`*^9}, 
   3.525934924652911*^9, {3.525934992613317*^9, 3.525935045766521*^9}, {
   3.525935618321105*^9, 3.525935685008628*^9}, {3.5260101598916473`*^9, 
   3.526010163937902*^9}, {3.5260125666341457`*^9, 3.526012704915305*^9}, {
   3.526012736091934*^9, 3.52601284264485*^9}, 3.526012977120152*^9, {
   3.526013035923091*^9, 3.526013061885045*^9}, {3.5260130929158688`*^9, 
   3.526013099118924*^9}, {3.5260131579699574`*^9, 3.526013192368208*^9}, {
   3.526013261877646*^9, 3.5260132871986837`*^9}, {3.5260133459199467`*^9, 
   3.5260133738249063`*^9}, {3.526013428995549*^9, 3.5260134549903183`*^9}, {
   3.526013509332996*^9, 3.526013529454417*^9}, {3.526013713135186*^9, 
   3.526013752203527*^9}, {3.526013782496533*^9, 3.526013808876252*^9}, {
   3.526013845314107*^9, 3.5260138523047132`*^9}, {3.526014284645074*^9, 
   3.526014340982746*^9}, {3.526014376009166*^9, 3.5260143894157267`*^9}, {
   3.526014601549882*^9, 3.5260146225575733`*^9}, {3.526014922404778*^9, 
   3.526014979421337*^9}, {3.5260176112282877`*^9, 3.526017614649076*^9}, 
   3.526019322198956*^9, {3.526019405222*^9, 3.526019596254877*^9}, {
   3.5260196361858807`*^9, 3.526019642899316*^9}, {3.526021744713745*^9, 
   3.52602175098508*^9}, {3.526185350581007*^9, 3.526185458296069*^9}, {
   3.526185509658578*^9, 3.526185525387639*^9}, {3.526185620497467*^9, 
   3.52618574755892*^9}, {3.5261858016945677`*^9, 3.526185834588166*^9}, {
   3.526218299533209*^9, 3.526218463449719*^9}, {3.526218512810708*^9, 
   3.5262185132555532`*^9}, {3.526218550585149*^9, 3.526218550891608*^9}, {
   3.526218918034545*^9, 3.526218920534457*^9}, 3.52740326858355*^9, {
   3.527403397285018*^9, 3.5274034316755466`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0.2, $CellContext`r2$$ = 
    0.08, $CellContext`ro12$$ = 0, $CellContext`s1$$ = 
    0.4, $CellContext`s2$$ = 0.2, $CellContext`xmax$$ = 
    1, $CellContext`xmin$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ro12$$], 0, 
       "\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)"}, -1, 1}, {{
       Hold[$CellContext`xmin$$], 0, " max short asset 1"}, 0, -2}, {{
       Hold[$CellContext`xmax$$], 1, "max short asset 2"}, 1, 2}, {{
       Hold[$CellContext`r1$$], 0.2, 
       "E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s1$$], 0.4, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)"}, 0, 0.5}, {{
       Hold[$CellContext`r2$$], 0.08, 
       "E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s2$$], 0.2, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)"}, 0, 0.5}, {
      Hold["composition of the MVP="], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[{$CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
         2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$), 
         1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
         2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
      "{E[\!\(\*SubscriptBox[\(r\), \(MVP\)]\)],\!\(\*SubscriptBox[\(\[Sigma]\
\), \(MVP\)]\)}="], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[{$CellContext`r1$$ ($CellContext`s2$$ ($CellContext`s2$$ - \
$CellContext`ro12$$ $CellContext`s1$$)/($CellContext`s1$$^2 + \
$CellContext`s2$$^2 - 
           2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) + \
$CellContext`r2$$ (
           1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
           2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)), \
(($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s1$$^2 + (
             1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s2$$^2 + 
          2 ($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) (
            1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) \
$CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)^0.5}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    720., {328., 347.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`ro12$2725$$ = 
    0, $CellContext`xmin$2726$$ = 0, $CellContext`xmax$2727$$ = 
    0, $CellContext`r1$2728$$ = 0, $CellContext`s1$2729$$ = 
    0, $CellContext`r2$2730$$ = 0, $CellContext`s2$2731$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 0.2, $CellContext`r2$$ = 
        0.08, $CellContext`ro12$$ = 0, $CellContext`s1$$ = 
        0.4, $CellContext`s2$$ = 0.2, $CellContext`xmax$$ = 
        1, $CellContext`xmin$$ = 0}, "ControllerVariables" :> {
        Hold[$CellContext`ro12$$, $CellContext`ro12$2725$$, 0], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$2726$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$2727$$, 0], 
        Hold[$CellContext`r1$$, $CellContext`r1$2728$$, 0], 
        Hold[$CellContext`s1$$, $CellContext`s1$2729$$, 0], 
        Hold[$CellContext`r2$$, $CellContext`r2$2730$$, 0], 
        Hold[$CellContext`s2$$, $CellContext`s2$2731$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      ParametricPlot[{{$CellContext`s1$$, 
          Min[$CellContext`u, $CellContext`r1$$]}, {
          
          Min[$CellContext`u, $CellContext`s1$$], $CellContext`r1$$}, \
{$CellContext`s2$$, 
          Min[$CellContext`u, $CellContext`r2$$]}, {
          
          Min[$CellContext`u, $CellContext`s2$$], $CellContext`r2$$}, \
{($CellContext`u^2 $CellContext`s1$$^2 + ((
              1 - $CellContext`u) $CellContext`s2$$)^2 + 
           2 $CellContext`u (
             1 - $CellContext`u) $CellContext`s1$$ $CellContext`s2$$ \
$CellContext`ro12$$)^0.5, $CellContext`r1$$ $CellContext`u + \
$CellContext`r2$$ (
            1 - $CellContext`u)}}, {$CellContext`u, $CellContext`xmin$$, \
$CellContext`xmax$$}, PlotRange -> {{0, 0.6}, {-0.2, 0.4}}, AxesLabel -> {
          Subscript[$CellContext`\[Sigma], $CellContext`P], 
          E[
           Subscript[$CellContext`r, $CellContext`P]]}, ColorFunction -> 
        Function[{$CellContext`x, $CellContext`y, $CellContext`u}, 
          If[
           And[$CellContext`u > 0, $CellContext`u < 1], Black, 
           If[$CellContext`u > 1, Green, Red]]], ColorFunctionScaling -> 
        False, PlotStyle -> {Dashed, Dashed, Dashed, Dashed, Thick}], 
      "Specifications" :> {{{$CellContext`ro12$$, 0, 
          "\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)"}, -1, 
         1}, {{$CellContext`xmin$$, 0, " max short asset 1"}, 
         0, -2}, {{$CellContext`xmax$$, 1, "max short asset 2"}, 1, 
         2}, {{$CellContext`r1$$, 0.2, 
          "E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]"}, -1, 
         1}, {{$CellContext`s1$$, 0.4, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)"}, 0, 
         0.5}, {{$CellContext`r2$$, 0.08, 
          "E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]"}, -1, 
         1}, {{$CellContext`s2$$, 0.2, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)"}, 0, 0.5}, Delimiter, 
        "composition of the MVP=", 
        Dynamic[{$CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
          2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$), 
          1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
          2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)}], 
        Delimiter, 
        "{E[\!\(\*SubscriptBox[\(r\), \(MVP\)]\)],\!\(\*SubscriptBox[\(\
\[Sigma]\), \(MVP\)]\)}=", 
        Dynamic[{$CellContext`r1$$ ($CellContext`s2$$ ($CellContext`s2$$ - \
$CellContext`ro12$$ $CellContext`s1$$)/($CellContext`s1$$^2 + \
$CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) + \
$CellContext`r2$$ (
            1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)), \
(($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
              2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s1$$^2 + (
              1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
              2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s2$$^2 + 
           2 ($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) (
             1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) \
$CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)^0.5}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{1404., {383., 394.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5260149595970783`*^9, 3.526014980626254*^9}, 
   3.526016320673613*^9, 3.526017618084085*^9, 3.526018035811405*^9, 
   3.5260194744362497`*^9, {3.526019505374299*^9, 3.5260195977698107`*^9}, 
   3.52602175221684*^9, 3.526184105860732*^9, {3.526185379605177*^9, 
   3.526185423116047*^9}, 3.526185459538661*^9, {3.526185517426663*^9, 
   3.526185526628862*^9}, 3.52618574914359*^9, 3.526185835759388*^9, 
   3.52619037993443*^9, 3.526190837294902*^9, 3.526218469154364*^9, 
   3.526218514467938*^9, 3.526218558378643*^9, 3.526218870297412*^9, 
   3.5262189218123693`*^9, 3.526292357003986*^9, 3.527402858980204*^9, 
   3.527403270143896*^9, 3.5274034335735483`*^9, 3.5274038607933483`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.525935137841793*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"mvp", "[", 
      RowBox[{"s1_", ",", "s2_", ",", "ro12_"}], "]"}], ":=", 
     FractionBox[
      RowBox[{"s2", 
       RowBox[{"(", 
        RowBox[{"s2", "-", 
         RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"s1", "^", "2"}], "+", 
       RowBox[{"s2", "^", "2"}], "-", 
       RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"tp", "[", 
      RowBox[{
      "r1_", ",", "r2_", ",", "rf_", ",", "s1_", ",", "s2_", ",", "ro12_"}], 
      "]"}], ":=", 
     RowBox[{"s2", 
      FractionBox[
       RowBox[{
        RowBox[{"ro12", " ", "s1", 
         RowBox[{"(", 
          RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
        RowBox[{"s2", 
         RowBox[{"(", 
          RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{"r2", "-", "rf"}], ")"}]}], 
         RowBox[{"s1", "^", "2"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r1", "+", "r2", "-", 
           RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ", "s2"}], 
        "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r1", "-", "rf"}], ")"}], 
         RowBox[{"s2", "^", "2"}]}]}]]}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"u", "^", "2"}], 
               RowBox[{"s1", "^", "2"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "u"}], ")"}], "s2"}], ")"}], "^", "2"}], 
              "+", 
              RowBox[{"2", " ", "u", 
               RowBox[{"(", 
                RowBox[{"1", "-", "u"}], ")"}], " ", "s1", " ", "s2", " ", 
               "ro12"}]}], ")"}], "^", ".5"}], ",", 
           RowBox[{
            RowBox[{"r1", " ", "u"}], "+", 
            RowBox[{"r2", 
             RowBox[{"(", 
              RowBox[{"1", "-", "u"}], ")"}]}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"u", "^", "2"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"z", "^", "2"}], 
                 RowBox[{"s1", "^", "2"}]}], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"1", "-", "z"}], ")"}], "s2"}], ")"}], "^", "2"}],
                 "+", 
                RowBox[{"2", " ", "z", 
                 RowBox[{"(", 
                  RowBox[{"1", "-", "z"}], ")"}], " ", "s1", " ", "s2", " ", 
                 "ro12"}]}], ")"}]}], ")"}], "^", ".5"}], ",", 
           RowBox[{
            RowBox[{"rf", " ", 
             RowBox[{"(", 
              RowBox[{"1", "-", "u"}], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"z", " ", "r1"}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", "z"}], ")"}], "r2"}]}], ")"}], "u"}]}]}], 
          "}"}]}], "}"}], "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"u", ",", "xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", ".6"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".2"}], ",", ".4"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "P"], ",", 
          RowBox[{"E", "[", 
           SubscriptBox["r", "P"], "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y", ",", "u"}], "}"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"And", "[", 
             RowBox[{
              RowBox[{"u", ">", "0"}], ",", 
              RowBox[{"u", "<", "1"}]}], "]"}], ",", "Black", ",", "Red"}], 
           "]"}]}], "]"}]}], ",", 
       RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", "Thick", "}"}]}]}], "]"}], "\[IndentingNewLine]", ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "ro12", ",", "0", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "0", ",", "\"\< max short s1 and sf\>\""}], 
        "}"}], ",", "0", ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmax", ",", "1", ",", "\"\<max short asset 2\>\""}], "}"}], 
       ",", "1", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r1", ",", ".2", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s1", ",", ".4", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r2", ",", ".08", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s2", ",", ".2", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "rf", ",", ".02", ",", "\"\<\!\(\*SubscriptBox[\(r\), \(f\)]\)\>\""}],
         "}"}], ",", 
       RowBox[{"-", "1"}], ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"z", ",", ".2", ",", "\"\<T\>\""}], "}"}], ",", "xmin", ",", 
       "xmax"}], "}"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
     "\[IndentingNewLine]", "\"\<composition of the MVP:\>\"", ",", 
     RowBox[{"Dynamic", "[", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"mvp", "[", 
         RowBox[{"s1", ",", "s2", ",", "ro12"}], "]"}], ",", 
        RowBox[{"1", "-", 
         RowBox[{"mvp", "[", 
          RowBox[{"s1", ",", "s2", ",", "ro12"}], "]"}]}]}], "}"}], "]"}], 
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\"\<{E[\!\(\*SubscriptBox[\(r\), \(MVP\)]\)],\!\(\*SubscriptBox[\(\
\[Sigma]\), \(MVP\)]\)}=\>\"", ",", 
     RowBox[{"Dynamic", "[", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"r1", " ", 
          FractionBox[
           RowBox[{"s2", 
            RowBox[{"(", 
             RowBox[{"s2", "-", 
              RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
           RowBox[{
            RowBox[{"s1", "^", "2"}], "+", 
            RowBox[{"s2", "^", "2"}], "-", 
            RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], "+", 
         RowBox[{"r2", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"s2", 
              RowBox[{"(", 
               RowBox[{"s2", "-", 
                RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
             RowBox[{
              RowBox[{"s1", "^", "2"}], "+", 
              RowBox[{"s2", "^", "2"}], "-", 
              RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], 
           ")"}]}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              FractionBox[
               RowBox[{"s2", 
                RowBox[{"(", 
                 RowBox[{"s2", "-", 
                  RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
               RowBox[{
                RowBox[{"s1", "^", "2"}], "+", 
                RowBox[{"s2", "^", "2"}], "-", 
                RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]], ")"}], 
             "^", "2"}], 
            RowBox[{"s1", "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", 
               FractionBox[
                RowBox[{"s2", 
                 RowBox[{"(", 
                  RowBox[{"s2", "-", 
                   RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
                RowBox[{
                 RowBox[{"s1", "^", "2"}], "+", 
                 RowBox[{"s2", "^", "2"}], "-", 
                 RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], ")"}],
              "^", "2"}], 
            RowBox[{"s2", "^", "2"}]}], "+", 
           RowBox[{"2", 
            FractionBox[
             RowBox[{"s2", 
              RowBox[{"(", 
               RowBox[{"s2", "-", 
                RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
             RowBox[{
              RowBox[{"s1", "^", "2"}], "+", 
              RowBox[{"s2", "^", "2"}], "-", 
              RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              FractionBox[
               RowBox[{"s2", 
                RowBox[{"(", 
                 RowBox[{"s2", "-", 
                  RowBox[{"ro12", " ", "s1"}]}], ")"}]}], 
               RowBox[{
                RowBox[{"s1", "^", "2"}], "+", 
                RowBox[{"s2", "^", "2"}], "-", 
                RowBox[{"2", " ", "ro12", " ", "s1", " ", "s2"}]}]]}], ")"}], 
            "ro12", " ", "s1", " ", "s2"}]}], ")"}], "^", ".5"}]}], "}"}], 
      "]"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
     "\[IndentingNewLine]", "\"\<composition of the Tangenncy Portfolio:\>\"",
      ",", 
     RowBox[{"Dynamic", "[", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"s2", 
         FractionBox[
          RowBox[{
           RowBox[{"ro12", " ", "s1", 
            RowBox[{"(", 
             RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
           RowBox[{"s2", 
            RowBox[{"(", 
             RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"r2", "-", "rf"}], ")"}]}], 
            RowBox[{"s1", "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"r1", "+", "r2", "-", 
              RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ", 
            "s2"}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"r1", "-", "rf"}], ")"}], 
            RowBox[{"s2", "^", "2"}]}]}]]}], "\[IndentingNewLine]", ",", 
        RowBox[{"1", "-", 
         RowBox[{"s2", 
          FractionBox[
           RowBox[{
            RowBox[{"ro12", " ", "s1", 
             RowBox[{"(", 
              RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
            RowBox[{"s2", 
             RowBox[{"(", 
              RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"r2", "-", "rf"}], ")"}]}], 
             RowBox[{"s1", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r1", "+", "r2", "-", 
               RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ", 
             "s2"}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r1", "-", "rf"}], ")"}], 
             RowBox[{"s2", "^", "2"}]}]}]]}]}]}], "\[IndentingNewLine]", 
       "}"}], "]"}], ",", "\[IndentingNewLine]", 
     "\"\<{E[\!\(\*SubscriptBox[\(r\), \
\(T\)]\)],\!\(\*SubscriptBox[\(\[Sigma]\), \(T\)]\)}=\>\"", ",", 
     RowBox[{"Dynamic", "[", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"r1", " ", "s2", 
          FractionBox[
           RowBox[{
            RowBox[{"ro12", " ", "s1", 
             RowBox[{"(", 
              RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
            RowBox[{"s2", 
             RowBox[{"(", 
              RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"r2", "-", "rf"}], ")"}]}], 
             RowBox[{"s1", "^", "2"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r1", "+", "r2", "-", 
               RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ", 
             "s2"}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r1", "-", "rf"}], ")"}], 
             RowBox[{"s2", "^", "2"}]}]}]]}], "+", 
         RowBox[{"r2", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"s2", 
             FractionBox[
              RowBox[{
               RowBox[{"ro12", " ", "s1", 
                RowBox[{"(", 
                 RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
               RowBox[{"s2", 
                RowBox[{"(", 
                 RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
              RowBox[{
               RowBox[{
                RowBox[{"-", 
                 RowBox[{"(", 
                  RowBox[{"r2", "-", "rf"}], ")"}]}], 
                RowBox[{"s1", "^", "2"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"r1", "+", "r2", "-", 
                  RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ", 
                "s2"}], "-", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"r1", "-", "rf"}], ")"}], 
                RowBox[{"s2", "^", "2"}]}]}]]}]}], ")"}]}]}], ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"s2", 
               FractionBox[
                RowBox[{
                 RowBox[{"ro12", " ", "s1", 
                  RowBox[{"(", 
                   RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
                 RowBox[{"s2", 
                  RowBox[{"(", 
                   RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{"r2", "-", "rf"}], ")"}]}], 
                  RowBox[{"s1", "^", "2"}]}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"r1", "+", "r2", "-", 
                    RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ",
                   "s2"}], "-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"r1", "-", "rf"}], ")"}], 
                  RowBox[{"s2", "^", "2"}]}]}]]}], ")"}], "^", "2"}], 
            RowBox[{"s1", "^", "2"}]}], "+", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"s2", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"ro12", " ", "s1", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
                   RowBox[{"s2", 
                    RowBox[{"(", 
                    RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
                  RowBox[{
                   RowBox[{
                    RowBox[{"-", 
                    RowBox[{"(", 
                    RowBox[{"r2", "-", "rf"}], ")"}]}], 
                    RowBox[{"s1", "^", "2"}]}], "+", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "+", "r2", "-", 
                    RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ",
                     "s2"}], "-", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"r1", "-", "rf"}], ")"}], 
                    RowBox[{"s2", "^", "2"}]}]}]]}]}], ")"}], "s2"}], ")"}], 
            "^", "2"}], "+", 
           RowBox[{"2", " ", "ro12", " ", "s2", 
            FractionBox[
             RowBox[{
              RowBox[{"ro12", " ", "s1", 
               RowBox[{"(", 
                RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
              RowBox[{"s2", 
               RowBox[{"(", 
                RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"(", 
                 RowBox[{"r2", "-", "rf"}], ")"}]}], 
               RowBox[{"s1", "^", "2"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"r1", "+", "r2", "-", 
                 RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ", 
               "s2"}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"r1", "-", "rf"}], ")"}], 
               RowBox[{"s2", "^", "2"}]}]}]], 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"s2", 
               FractionBox[
                RowBox[{
                 RowBox[{"ro12", " ", "s1", 
                  RowBox[{"(", 
                   RowBox[{"r2", "-", "rf"}], ")"}]}], "-", 
                 RowBox[{"s2", 
                  RowBox[{"(", 
                   RowBox[{"r1", "-", "rf"}], ")"}]}]}], 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"(", 
                    RowBox[{"r2", "-", "rf"}], ")"}]}], 
                  RowBox[{"s1", "^", "2"}]}], "+", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"r1", "+", "r2", "-", 
                    RowBox[{"2", "rf"}]}], ")"}], " ", "ro12", " ", "s1", " ",
                   "s2"}], "-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"r1", "-", "rf"}], ")"}], 
                  RowBox[{"s2", "^", "2"}]}]}]]}]}], ")"}], "s1", " ", 
            "s2"}]}], ")"}], "^", ".5"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.52618401553476*^9, 3.526184029990883*^9}, {
   3.526184069238039*^9, 3.526184072683525*^9}, {3.526184128225053*^9, 
   3.526184228409954*^9}, {3.526184404687415*^9, 3.526184412755288*^9}, {
   3.526184569121353*^9, 3.52618456981384*^9}, {3.52618488307206*^9, 
   3.5261848869955273`*^9}, {3.526184925866664*^9, 3.526184926212076*^9}, {
   3.5261850509032507`*^9, 3.526185060868224*^9}, {3.526185097864468*^9, 
   3.526185098277562*^9}, {3.5261853423360243`*^9, 3.526185343614666*^9}, {
   3.526185906034525*^9, 3.526185922904084*^9}, {3.5261860211401787`*^9, 
   3.526186177731576*^9}, {3.526186247541019*^9, 3.526186253967848*^9}, {
   3.526186396904415*^9, 3.526186455900505*^9}, {3.526186497488798*^9, 
   3.526186565680496*^9}, {3.526186595994746*^9, 3.526186611229529*^9}, 
   3.526186779803875*^9, {3.526186916458503*^9, 3.526186932902766*^9}, 
   3.5261871462260103`*^9, {3.52618746985704*^9, 3.526187470081328*^9}, {
   3.526188045246669*^9, 3.5261881780839863`*^9}, {3.526189047574025*^9, 
   3.526189052112165*^9}, {3.526293769231926*^9, 3.526293909496764*^9}, {
   3.527403158299283*^9, 3.5274031860361557`*^9}, {3.5274032356308737`*^9, 
   3.5274032456305637`*^9}, {3.527403448756843*^9, 3.5274034903131037`*^9}, {
   3.527403553962302*^9, 3.527403571850574*^9}, {3.527403754471519*^9, 
   3.527403757526606*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0.2, $CellContext`r2$$ = 
    0.08, $CellContext`rf$$ = 0.02, $CellContext`ro12$$ = 
    0, $CellContext`s1$$ = 0.4, $CellContext`s2$$ = 0.2, $CellContext`xmax$$ =
     1, $CellContext`xmin$$ = 0, $CellContext`z$$ = 0.2, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ro12$$], 0, 
       "\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)"}, -1, 1}, {{
       Hold[$CellContext`xmin$$], 0, " max short s1 and sf"}, 0, -3}, {{
       Hold[$CellContext`xmax$$], 1, "max short asset 2"}, 1, 3}, {{
       Hold[$CellContext`r1$$], 0.2, 
       "E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s1$$], 0.4, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)"}, 0, 0.5}, {{
       Hold[$CellContext`r2$$], 0.08, 
       "E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s2$$], 0.2, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)"}, 0, 0.5}, {{
       Hold[$CellContext`rf$$], 0.02, 
       "\!\(\*SubscriptBox[\(r\), \(f\)]\)"}, -1, 0.5}, {{
       Hold[$CellContext`z$$], 0.2, "T"}, 
      Dynamic[$CellContext`xmin$$], 
      Dynamic[$CellContext`xmax$$]}, {
      Hold["composition of the MVP:"], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[{
         $CellContext`mvp[$CellContext`s1$$, $CellContext`s2$$, \
$CellContext`ro12$$], 
         1 - $CellContext`mvp[$CellContext`s1$$, $CellContext`s2$$, \
$CellContext`ro12$$]}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
      "{E[\!\(\*SubscriptBox[\(r\), \(MVP\)]\)],\!\(\*SubscriptBox[\(\[Sigma]\
\), \(MVP\)]\)}="], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[{$CellContext`r1$$ ($CellContext`s2$$ ($CellContext`s2$$ - \
$CellContext`ro12$$ $CellContext`s1$$)/($CellContext`s1$$^2 + \
$CellContext`s2$$^2 - 
           2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) + \
$CellContext`r2$$ (
           1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
           2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)), \
(($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s1$$^2 + (
             1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s2$$^2 + 
          2 ($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) (
            1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) \
$CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)^0.5}]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold["composition of the Tangenncy Portfolio:"], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[{$CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
            2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)), 
         1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
            2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))}]], Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
      "{E[\!\(\*SubscriptBox[\(r\), \
\(T\)]\)],\!\(\*SubscriptBox[\(\[Sigma]\), \(T\)]\)}="], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[{$CellContext`r1$$ $CellContext`s2$$ (($CellContext`ro12$$ \
$CellContext`s1$$ ($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
             2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)) + $CellContext`r2$$ (
           1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
              2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))), (($CellContext`s2$$ (($CellContext`ro12$$ \
$CellContext`s1$$ ($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
                2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)))^2 $CellContext`s1$$^2 + ((
             1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
                2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))) $CellContext`s2$$)^2 + 
          2 $CellContext`ro12$$ $CellContext`s2$$ (($CellContext`ro12$$ \
$CellContext`s1$$ ($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
              2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)) (
            1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
               2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))) $CellContext`s1$$ $CellContext`s2$$)^0.5}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    712., {324., 343.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`ro12$2542$$ = 
    0, $CellContext`xmin$2543$$ = 0, $CellContext`xmax$2544$$ = 
    0, $CellContext`r1$2545$$ = 0, $CellContext`s1$2546$$ = 
    0, $CellContext`r2$2547$$ = 0, $CellContext`s2$2548$$ = 
    0, $CellContext`rf$2549$$ = 0, $CellContext`z$2550$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 0.2, $CellContext`r2$$ = 
        0.08, $CellContext`rf$$ = 0.02, $CellContext`ro12$$ = 
        0, $CellContext`s1$$ = 0.4, $CellContext`s2$$ = 
        0.2, $CellContext`xmax$$ = 1, $CellContext`xmin$$ = 
        0, $CellContext`z$$ = 0.2}, "ControllerVariables" :> {
        Hold[$CellContext`ro12$$, $CellContext`ro12$2542$$, 0], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$2543$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$2544$$, 0], 
        Hold[$CellContext`r1$$, $CellContext`r1$2545$$, 0], 
        Hold[$CellContext`s1$$, $CellContext`s1$2546$$, 0], 
        Hold[$CellContext`r2$$, $CellContext`r2$2547$$, 0], 
        Hold[$CellContext`s2$$, $CellContext`s2$2548$$, 0], 
        Hold[$CellContext`rf$$, $CellContext`rf$2549$$, 0], 
        Hold[$CellContext`z$$, $CellContext`z$2550$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      ParametricPlot[{{($CellContext`u^2 $CellContext`s1$$^2 + ((
              1 - $CellContext`u) $CellContext`s2$$)^2 + 
           2 $CellContext`u (
             1 - $CellContext`u) $CellContext`s1$$ $CellContext`s2$$ \
$CellContext`ro12$$)^0.5, $CellContext`r1$$ $CellContext`u + \
$CellContext`r2$$ (
            1 - $CellContext`u)}, {($CellContext`u^2 ($CellContext`z$$^2 \
$CellContext`s1$$^2 + ((1 - $CellContext`z$$) $CellContext`s2$$)^2 + 
            2 $CellContext`z$$ (
              1 - $CellContext`z$$) $CellContext`s1$$ $CellContext`s2$$ \
$CellContext`ro12$$))^0.5, $CellContext`rf$$ (
            1 - $CellContext`u) + ($CellContext`z$$ $CellContext`r1$$ + (
              1 - $CellContext`z$$) $CellContext`r2$$) $CellContext`u}}, \
{$CellContext`u, $CellContext`xmin$$, $CellContext`xmax$$}, 
        PlotRange -> {{0, 0.6}, {-0.2, 0.4}}, AxesLabel -> {
          Subscript[$CellContext`\[Sigma], $CellContext`P], 
          E[
           Subscript[$CellContext`r, $CellContext`P]]}, ColorFunction -> 
        Function[{$CellContext`x, $CellContext`y, $CellContext`u}, 
          If[
           And[$CellContext`u > 0, $CellContext`u < 1], Black, Red]], 
        ColorFunctionScaling -> False, PlotStyle -> {Thick}], 
      "Specifications" :> {{{$CellContext`ro12$$, 0, 
          "\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)"}, -1, 
         1}, {{$CellContext`xmin$$, 0, " max short s1 and sf"}, 
         0, -3}, {{$CellContext`xmax$$, 1, "max short asset 2"}, 1, 
         3}, {{$CellContext`r1$$, 0.2, 
          "E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]"}, -1, 
         1}, {{$CellContext`s1$$, 0.4, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)"}, 0, 
         0.5}, {{$CellContext`r2$$, 0.08, 
          "E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]"}, -1, 
         1}, {{$CellContext`s2$$, 0.2, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)"}, 0, 
         0.5}, {{$CellContext`rf$$, 0.02, 
          "\!\(\*SubscriptBox[\(r\), \(f\)]\)"}, -1, 
         0.5}, {{$CellContext`z$$, 0.2, "T"}, 
         Dynamic[$CellContext`xmin$$], 
         Dynamic[$CellContext`xmax$$]}, Delimiter, "composition of the MVP:", 
        
        Dynamic[{
          $CellContext`mvp[$CellContext`s1$$, $CellContext`s2$$, \
$CellContext`ro12$$], 
          1 - $CellContext`mvp[$CellContext`s1$$, $CellContext`s2$$, \
$CellContext`ro12$$]}], 
        "{E[\!\(\*SubscriptBox[\(r\), \(MVP\)]\)],\!\(\*SubscriptBox[\(\
\[Sigma]\), \(MVP\)]\)}=", 
        Dynamic[{$CellContext`r1$$ ($CellContext`s2$$ ($CellContext`s2$$ - \
$CellContext`ro12$$ $CellContext`s1$$)/($CellContext`s1$$^2 + \
$CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) + \
$CellContext`r2$$ (
            1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
            2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)), \
(($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
              2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s1$$^2 + (
              1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
              2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$))^2 \
$CellContext`s2$$^2 + 
           2 ($CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) (
             1 - $CellContext`s2$$ ($CellContext`s2$$ - $CellContext`ro12$$ \
$CellContext`s1$$)/($CellContext`s1$$^2 + $CellContext`s2$$^2 - 
             2 $CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)) \
$CellContext`ro12$$ $CellContext`s1$$ $CellContext`s2$$)^0.5}], Delimiter, 
        "composition of the Tangenncy Portfolio:", 
        Dynamic[{$CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
             2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)), 
          1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
             2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))}], 
        "{E[\!\(\*SubscriptBox[\(r\), \(T\)]\)],\!\(\*SubscriptBox[\(\[Sigma]\
\), \(T\)]\)}=", 
        Dynamic[{$CellContext`r1$$ $CellContext`s2$$ (($CellContext`ro12$$ \
$CellContext`s1$$ ($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
              2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)) + $CellContext`r2$$ (
            1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
               2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))), (($CellContext`s2$$ (($CellContext`ro12$$ \
$CellContext`s1$$ ($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
                 2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)))^2 $CellContext`s1$$^2 + ((
              1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
                 2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))) $CellContext`s2$$)^2 + 
           2 $CellContext`ro12$$ $CellContext`s2$$ (($CellContext`ro12$$ \
$CellContext`s1$$ ($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
               2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2)) (
             1 - $CellContext`s2$$ (($CellContext`ro12$$ $CellContext`s1$$ \
($CellContext`r2$$ - $CellContext`rf$$) - $CellContext`s2$$ \
($CellContext`r1$$ - $CellContext`rf$$))/((-($CellContext`r2$$ - \
$CellContext`rf$$)) $CellContext`s1$$^2 + ($CellContext`r1$$ + \
$CellContext`r2$$ - 
                2 $CellContext`rf$$) $CellContext`ro12$$ $CellContext`s1$$ \
$CellContext`s2$$ - ($CellContext`r1$$ - $CellContext`rf$$) \
$CellContext`s2$$^2))) $CellContext`s1$$ $CellContext`s2$$)^0.5}]}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{1415., {394., 404.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.526183984204195*^9, 3.526184031090268*^9, 3.5261840734650917`*^9, {
   3.526184130421646*^9, 3.526184144454686*^9}, {3.526184186112583*^9, 
   3.5261842300390673`*^9}, 3.526184413793675*^9, 3.526184574390554*^9, 
   3.526184891433242*^9, 3.526184927376993*^9, 3.5261850997805367`*^9, 
   3.52618592412643*^9, 3.5261860600275507`*^9, {3.5261861371730423`*^9, 
   3.52618617907078*^9}, 3.526186255347477*^9, 3.526186407541689*^9, {
   3.5261865616643476`*^9, 3.5261865662255163`*^9}, 3.526186612521*^9, 
   3.526186780647056*^9, 3.5261869342857018`*^9, 3.526187148705*^9, 
   3.526187471297876*^9, {3.526188161807344*^9, 3.526188179623858*^9}, 
   3.526189054306458*^9, 3.526190405228128*^9, 3.5261908530864162`*^9, 
   3.526292390198736*^9, {3.5262937809932003`*^9, 3.526293794092402*^9}, 
   3.526293911596858*^9, 3.527402862737605*^9, 3.527403189134548*^9, 
   3.527403246969747*^9, 3.527403471037683*^9, 3.527403579664976*^9, 
   3.527403848955447*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"ro23max", "[", 
      RowBox[{"ro12_", ",", "ro13_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"ro12", " ", "ro13"}], " ", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"ro12", "^", "2"}]}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "ro13"}], ")"}], "^", "2"}]}], ")"}], "^", 
       ".5"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ro23min", "[", 
      RowBox[{"ro12_", ",", "ro13_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"ro12", " ", "ro13"}], " ", "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"ro12", "^", "2"}]}], ")"}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "ro13"}], ")"}], "^", "2"}]}], ")"}], "^", 
       ".5"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"s1", ",", 
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "r1"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "s1"}], "]"}], ",", "r1"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s2", ",", 
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "r2"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "s2"}], "]"}], ",", "r2"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s3", ",", 
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "r3"}], "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Min", "[", 
            RowBox[{"u", ",", "s3"}], "]"}], ",", "r3"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"u", "^", "2"}], 
               RowBox[{"s1", "^", "2"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "u"}], ")"}], "s2"}], ")"}], "^", "2"}], 
              "+", 
              RowBox[{"2", " ", "u", 
               RowBox[{"(", 
                RowBox[{"1", "-", "u"}], ")"}], " ", "s1", " ", "s2", " ", 
               "ro12"}]}], ")"}], "^", ".5"}], ",", 
           RowBox[{
            RowBox[{"r1", " ", "u"}], "+", 
            RowBox[{"r2", 
             RowBox[{"(", 
              RowBox[{"1", "-", "u"}], ")"}]}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"u", "^", "2"}], 
               RowBox[{"s1", "^", "2"}]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"w", " ", "s2"}], ")"}], "^", "2"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"1", "-", "u", "-", "w"}], ")"}], " ", "s3"}], 
                ")"}], "^", "2"}], "+", 
              RowBox[{
              "2", " ", "u", " ", "w", " ", "s1", " ", "s2", " ", "ro12"}], 
              "+", 
              RowBox[{"2", " ", "u", " ", 
               RowBox[{"(", 
                RowBox[{"1", "-", "u", " ", "-", "w"}], ")"}], " ", "s1", " ",
                "s3", " ", "ro13"}], "+", 
              RowBox[{"2", " ", "w", " ", 
               RowBox[{"(", 
                RowBox[{"1", "-", "u", " ", "-", "w"}], ")"}], " ", "s2", " ",
                "s3", " ", "ro23"}]}], ")"}], "^", ".5"}], ",", 
           RowBox[{
            RowBox[{"r1", " ", "u"}], "+", 
            RowBox[{"r2", " ", "w"}], "+", 
            RowBox[{"r3", 
             RowBox[{"(", 
              RowBox[{"1", "-", "u", "-", "w"}], ")"}]}]}]}], "}"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"u", ",", "xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"w", ",", "wmin", ",", 
         RowBox[{"1", "-", "u"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", ".6"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", ".2"}], ",", ".4"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "P"], ",", 
          RowBox[{"E", "[", 
           SubscriptBox["r", "P"], "]"}]}], "}"}]}]}], "]"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "ro12", ",", "0", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "ro13", ",", "0", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Rho]\), \(13\)]\)\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "ro23", ",", "0", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Rho]\), \(23\)]\)\>\""}], "}"}], ",", 
       RowBox[{"ro23min", "[", 
        RowBox[{"ro12", ",", "ro13"}], "]"}], ",", 
       RowBox[{"ro23max", "[", 
        RowBox[{"ro12", ",", "ro13"}], "]"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "0", ",", "\"\<short 1\>\""}], "}"}], ",", "0", 
       ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmax", ",", "1", ",", "\"\<short 2\>\""}], "}"}], ",", "1", 
       ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"wmin", ",", "0", ",", "\"\<wmin 1\>\""}], "}"}], ",", "0", 
       ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r1", ",", ".2", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s1", ",", ".4", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r2", ",", ".08", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s2", ",", ".2", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "r3", ",", ".02", ",", 
         "\"\<E[\!\(\*SubscriptBox[\(r\), \(3\)]\)]\>\""}], "}"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "s3", ",", ".3", ",", 
         "\"\<\!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)\>\""}], "}"}], ",", 
       "0", ",", ".5"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.525949309082123*^9, 3.5259494972154827`*^9}, {
   3.5259495328398857`*^9, 3.5259495540196342`*^9}, {3.5259495883284483`*^9, 
   3.525949635975531*^9}, {3.525949707719593*^9, 3.5259497401932507`*^9}, 
   3.525949795983457*^9, {3.5259502561164093`*^9, 3.5259502793774147`*^9}, {
   3.525950451429686*^9, 3.525950457757429*^9}, {3.525951431022951*^9, 
   3.525951438238391*^9}, {3.5259514930718727`*^9, 3.5259515004418716`*^9}, {
   3.525951577098072*^9, 3.52595157886792*^9}, {3.5260112550830517`*^9, 
   3.526011420955284*^9}, {3.526012220321232*^9, 3.526012220907467*^9}, {
   3.526014102174601*^9, 3.526014123526814*^9}, {3.526014760118836*^9, 
   3.526014763711375*^9}, {3.526014802241538*^9, 3.526014807976623*^9}, {
   3.5260148671950197`*^9, 3.526014900620227*^9}, {3.5260150230958242`*^9, 
   3.526015051197812*^9}, {3.526015289360351*^9, 3.526015303326188*^9}, {
   3.5260217687281637`*^9, 3.526021769686198*^9}, {3.5261834794529533`*^9, 
   3.52618352097018*^9}, {3.52618357707133*^9, 3.526183624367605*^9}, {
   3.526183668504051*^9, 3.526183857221766*^9}, 3.52618396313472*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0.2, $CellContext`r2$$ = 
    0.08, $CellContext`r3$$ = 0.02, $CellContext`ro12$$ = 
    0, $CellContext`ro13$$ = 0, $CellContext`ro23$$ = 0, $CellContext`s1$$ = 
    0.4, $CellContext`s2$$ = 0.2, $CellContext`s3$$ = 
    0.3, $CellContext`wmin$$ = 0, $CellContext`xmax$$ = 
    1, $CellContext`xmin$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`ro12$$], 0, 
       "\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)"}, -1, 1}, {{
       Hold[$CellContext`ro13$$], 0, 
       "\!\(\*SubscriptBox[\(\[Rho]\), \(13\)]\)"}, -1, 1}, {{
       Hold[$CellContext`ro23$$], 0, 
       "\!\(\*SubscriptBox[\(\[Rho]\), \(23\)]\)"}, 
      Dynamic[
       $CellContext`ro23min[$CellContext`ro12$$, $CellContext`ro13$$]], 
      Dynamic[
       $CellContext`ro23max[$CellContext`ro12$$, $CellContext`ro13$$]]}, {{
       Hold[$CellContext`xmin$$], 0, "short 1"}, 0, -2}, {{
       Hold[$CellContext`xmax$$], 1, "short 2"}, 1, 2}, {{
       Hold[$CellContext`wmin$$], 0, "wmin 1"}, 0, -2}, {{
       Hold[$CellContext`r1$$], 0.2, 
       "E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s1$$], 0.4, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)"}, 0, 0.5}, {{
       Hold[$CellContext`r2$$], 0.08, 
       "E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s2$$], 0.2, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)"}, 0, 0.5}, {{
       Hold[$CellContext`r3$$], 0.02, 
       "E[\!\(\*SubscriptBox[\(r\), \(3\)]\)]"}, -1, 1}, {{
       Hold[$CellContext`s3$$], 0.3, 
       "\!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)"}, 0, 0.5}}, 
    Typeset`size$$ = {720., {325., 344.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`ro12$2616$$ = 0, $CellContext`ro13$2617$$ = 
    0, $CellContext`ro23$2618$$ = 0, $CellContext`xmin$2619$$ = 
    0, $CellContext`xmax$2620$$ = 0, $CellContext`wmin$2621$$ = 
    0, $CellContext`r1$2622$$ = 0, $CellContext`s1$2623$$ = 
    0, $CellContext`r2$2624$$ = 0, $CellContext`s2$2625$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 0.2, $CellContext`r2$$ = 
        0.08, $CellContext`r3$$ = 0.02, $CellContext`ro12$$ = 
        0, $CellContext`ro13$$ = 0, $CellContext`ro23$$ = 
        0, $CellContext`s1$$ = 0.4, $CellContext`s2$$ = 
        0.2, $CellContext`s3$$ = 0.3, $CellContext`wmin$$ = 
        0, $CellContext`xmax$$ = 1, $CellContext`xmin$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`ro12$$, $CellContext`ro12$2616$$, 0], 
        Hold[$CellContext`ro13$$, $CellContext`ro13$2617$$, 0], 
        Hold[$CellContext`ro23$$, $CellContext`ro23$2618$$, 0], 
        Hold[$CellContext`xmin$$, $CellContext`xmin$2619$$, 0], 
        Hold[$CellContext`xmax$$, $CellContext`xmax$2620$$, 0], 
        Hold[$CellContext`wmin$$, $CellContext`wmin$2621$$, 0], 
        Hold[$CellContext`r1$$, $CellContext`r1$2622$$, 0], 
        Hold[$CellContext`s1$$, $CellContext`s1$2623$$, 0], 
        Hold[$CellContext`r2$$, $CellContext`r2$2624$$, 0], 
        Hold[$CellContext`s2$$, $CellContext`s2$2625$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      ParametricPlot[{{$CellContext`s1$$, 
          Min[$CellContext`u, $CellContext`r1$$]}, {
          
          Min[$CellContext`u, $CellContext`s1$$], $CellContext`r1$$}, \
{$CellContext`s2$$, 
          Min[$CellContext`u, $CellContext`r2$$]}, {
          
          Min[$CellContext`u, $CellContext`s2$$], $CellContext`r2$$}, \
{$CellContext`s3$$, 
          Min[$CellContext`u, $CellContext`r3$$]}, {
          
          Min[$CellContext`u, $CellContext`s3$$], $CellContext`r3$$}, \
{($CellContext`u^2 $CellContext`s1$$^2 + ((
              1 - $CellContext`u) $CellContext`s2$$)^2 + 
           2 $CellContext`u (
             1 - $CellContext`u) $CellContext`s1$$ $CellContext`s2$$ \
$CellContext`ro12$$)^0.5, $CellContext`r1$$ $CellContext`u + \
$CellContext`r2$$ (
            1 - $CellContext`u)}, {($CellContext`u^2 $CellContext`s1$$^2 + \
($CellContext`w $CellContext`s2$$)^2 + ((
              1 - $CellContext`u - $CellContext`w) $CellContext`s3$$)^2 + 
           2 $CellContext`u $CellContext`w $CellContext`s1$$ \
$CellContext`s2$$ $CellContext`ro12$$ + 
           2 $CellContext`u (
             1 - $CellContext`u - $CellContext`w) $CellContext`s1$$ \
$CellContext`s3$$ $CellContext`ro13$$ + 
           2 $CellContext`w (
             1 - $CellContext`u - $CellContext`w) $CellContext`s2$$ \
$CellContext`s3$$ $CellContext`ro23$$)^0.5, $CellContext`r1$$ $CellContext`u + \
$CellContext`r2$$ $CellContext`w + $CellContext`r3$$ (
            1 - $CellContext`u - $CellContext`w)}}, {$CellContext`u, \
$CellContext`xmin$$, $CellContext`xmax$$}, {$CellContext`w, \
$CellContext`wmin$$, 1 - $CellContext`u}, 
        PlotRange -> {{0, 0.6}, {-0.2, 0.4}}, AxesLabel -> {
          Subscript[$CellContext`\[Sigma], $CellContext`P], 
          E[
           Subscript[$CellContext`r, $CellContext`P]]}], 
      "Specifications" :> {{{$CellContext`ro12$$, 0, 
          "\!\(\*SubscriptBox[\(\[Rho]\), \(12\)]\)"}, -1, 
         1}, {{$CellContext`ro13$$, 0, 
          "\!\(\*SubscriptBox[\(\[Rho]\), \(13\)]\)"}, -1, 
         1}, {{$CellContext`ro23$$, 0, 
          "\!\(\*SubscriptBox[\(\[Rho]\), \(23\)]\)"}, 
         Dynamic[
          $CellContext`ro23min[$CellContext`ro12$$, $CellContext`ro13$$]], 
         Dynamic[
          $CellContext`ro23max[$CellContext`ro12$$, $CellContext`ro13$$]]}, \
{{$CellContext`xmin$$, 0, "short 1"}, 
         0, -2}, {{$CellContext`xmax$$, 1, "short 2"}, 1, 
         2}, {{$CellContext`wmin$$, 0, "wmin 1"}, 
         0, -2}, {{$CellContext`r1$$, 0.2, 
          "E[\!\(\*SubscriptBox[\(r\), \(1\)]\)]"}, -1, 
         1}, {{$CellContext`s1$$, 0.4, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(1\)]\)"}, 0, 
         0.5}, {{$CellContext`r2$$, 0.08, 
          "E[\!\(\*SubscriptBox[\(r\), \(2\)]\)]"}, -1, 
         1}, {{$CellContext`s2$$, 0.2, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(2\)]\)"}, 0, 
         0.5}, {{$CellContext`r3$$, 0.02, 
          "E[\!\(\*SubscriptBox[\(r\), \(3\)]\)]"}, -1, 
         1}, {{$CellContext`s3$$, 0.3, 
          "\!\(\*SubscriptBox[\(\[Sigma]\), \(3\)]\)"}, 0, 0.5}}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{1304., {380., 391.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.525949742026409*^9, 3.5259497980462637`*^9, 3.52595004418888*^9, {
   3.525950258284133*^9, 3.52595028184695*^9}, 3.5259504586732883`*^9, 
   3.52595066066125*^9, 3.525950970537731*^9, 3.52595138304178*^9, 
   3.5259514401361*^9, 3.525951580023308*^9, 3.526011423706778*^9, {
   3.526012201000997*^9, 3.5260122221600323`*^9}, 3.526014769233019*^9, 
   3.5260148092143803`*^9, {3.526014872558654*^9, 3.5260149017796183`*^9}, {
   3.526015031480505*^9, 3.526015052665276*^9}, {3.526015290962255*^9, 
   3.526015306648657*^9}, 3.52601632675639*^9, 3.526183861865788*^9, 
   3.52618396842243*^9, 3.526190864789156*^9, 3.526292408793785*^9, 
   3.527402867585177*^9, 3.5274038519618397`*^9}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1617, 801},
WindowMargins->{{-3, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 2., 2. Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (February 23, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1257, 32, 12659, 303, 1172, "Input"],
Cell[13919, 337, 9727, 171, 831, "Output"]
}, Open  ]],
Cell[23661, 511, 68, 1, 54, "Input"],
Cell[CellGroupData[{
Cell[23754, 516, 20448, 541, 2040, "Input"],
Cell[44205, 1059, 18314, 322, 852, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62556, 1386, 9498, 250, 1015, "Input"],
Cell[72057, 1638, 7892, 151, 825, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature 6wDyVqCAQCrkRAgsYXtnbokZ *)
